Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client
Class JboCMUtils

`java.lang.Object
oracle.jbo.client.JboCMUtils`

public final class JboCMUtils
extends java.lang.Object

Field Summary
`protected static java.lang.String[]` | `urlProtocols`

Constructor Summary
`JboCMUtils()`

Method Summary
`static java.lang.String` | `getHostNameFromUrl(java.lang.String url)`
`static java.lang.String` | `getIiopUrl(oracle.jdeveloper.cm.ConnectionDescriptor desc)`
`static java.lang.String` | `getJdbcUrl(oracle.jdeveloper.cm.ConnectionDescriptor desc)`
`static int` | `getPortFromUrl(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### urlProtocols

    protected static java.lang.String[] urlProtocols

Constructor Detail

### JboCMUtils

    public JboCMUtils()

Method Detail

### getJdbcUrl

    public static java.lang.String getJdbcUrl(oracle.jdeveloper.cm.ConnectionDescriptor desc)
                                       throws oracle.jdeveloper.cm.CMException

  Throws:
    `oracle.jdeveloper.cm.CMException`

### getIiopUrl

    public static java.lang.String getIiopUrl(oracle.jdeveloper.cm.ConnectionDescriptor desc)
                                       throws oracle.jdeveloper.cm.CMException

  Throws:
    `oracle.jdeveloper.cm.CMException`

### getHostNameFromUrl

    public static java.lang.String getHostNameFromUrl(java.lang.String url)

### getPortFromUrl

    public static int getPortFromUrl(java.lang.String url)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.